> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zlb/load-balancer-instance/describeloadbalancermonitordata.md).

# DescribeLoadBalancerMonitorData

## 1. API Description

This API (DescribeLoadBalancerMonitorData) is used to query the monitoring data of a load balancer, including concurrent connections, new connections, and network bandwidth.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type                                                                                               | Description                                                                                                                                                                   |
| -------------- | -------- | -------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| loadBalancerId | Yes      | String                                                                                             | <p>Load balancer instance ID.</p><p>It can be obtained by calling <a href="/api-reference/zlb/load-balancer-instance/describeloadbalancers.md">DescribeLoadBalancers</a>.</p> |
| metricType     | Yes      | [LoadBalancerMonitorMetricType](/api-reference/zlb/datastructure.md#loadbalancermonitormetrictype) | Monitor metric type.                                                                                                                                                          |
| startTime      | Yes      | String                                                                                             | <p>Start time.</p><p>Format: yyyy-MM-ddTHH<span data-gb-custom-inline data-tag="emoji" data-code="1f1f2-1f1f2">🇲🇲</span>ssZ.</p>                                            |
| endTime        | Yes      | String                                                                                             | <p>End time.</p><p>Format: yyyy-MM-ddTHH<span data-gb-custom-inline data-tag="emoji" data-code="1f1f2-1f1f2">🇲🇲</span>ssZ.</p>                                              |
| listenerId     | No       | String                                                                                             | <p>Listener ID of the load balancer.</p><p>It can be obtained by calling <a href="/api-reference/zlb/load-balancer-listener/describelisteners.md">DescribeListeners</a>.</p>  |
| step           | No       | Integer                                                                                            | <p>Time interval between data points.</p><p>Default value: 5</p>                                                                                                              |

## 3. Output Parameters

| Parameter Name | Type                                                                    | Description                                                                                                           |
| -------------- | ----------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                  | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| maxValue       | Float                                                                   | Maximum value.                                                                                                        |
| minValue       | Float                                                                   | Minimum value.                                                                                                        |
| avgValue       | Float                                                                   | Average value.                                                                                                        |
| metrics        | Array of [MetricValue](/api-reference/zlb/datastructure.md#metricvalue) | All data set.                                                                                                         |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Query `New Connections` data of a load balancer.**

```json
POST /api/v2/zlb HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeLoadBalancerMonitorData
<Common Request Params>

Request：
{
   "loadBalancerId": "<loadBalancerId>",
   "metricType": "NEW_CONNECTIONS",
   "startTime": "2025-06-25T01:55:00Z",
   "endTime": "2025-06-25T07:55:00Z"
}

Response：
{
 "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
 "response": {
   "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
   "maxValue": 1.2,
   "minValue": 1.2,
   "avgValue": 1.2,
   "metrics": [
     {
       "time": "2025-06-25T01:55:00Z",
       "value": 1.2
     }
   ]
 }
}
```

**2. Query `New Connections` data of a specified listener under the load balancer instance.**

```json
POST /api/v2/zlb HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeLoadBalancerMonitorData
<Common Request Params>

Request：
{
   "loadBalancerId": "<loadBalancerId>",
   "listenerId": "<listenerId>",
   "metricType": "NEW_CONNECTIONS",
   "startTime": "2025-06-25T01:55:00Z",
   "endTime": "2025-06-25T07:55:00Z"
}

Response：
{
 "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
 "response": {
   "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
   "maxValue": 1.2,
   "minValue": 1.2,
   "avgValue": 1.2,
   "metrics": [
     {
       "time": "2025-06-25T01:55:00Z",
       "value": 1.2
     }
   ]
 }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                  | Description                     |
| ---------------- | ------------------------------------------- | ------------------------------- |
| 404              | INVALID\_LB\_NOT\_FOUND                     | Load balancer does not exist.   |
| 400              | OPERATION\_DENIED\_TIME\_STEP\_NOT\_SUPPORT | The time step is not supported. |
